<template>
	<view class="video-pagesCons">
		<view class="tab-body">
			<scroll-view scroll-y style="height: 100%;width: 100%;overflow: auto;" @scrolltolower="onreachBottom">
				<view  
				class="check-order-list" 
				v-for="(item,index) in list" 
				:key="item.id" 
				 @click="viewRow(item)"
				>
					<view class="video-item">
						<view>
							<u-image :src="item.imageUrl" height="140px" width="100%"></u-image>
						</view>
						<view class="ellipsis-two">{{item.promoName}}</view>
					</view>
				 </view>
				 <view style="padding: 20upx;">
					 <u-empty :src="`/static/nodata.png`" icon-size="180" :text="noDataText" img-width="120" v-if="list.length==0 && status!='loading'" mode="list"></u-empty>
					 <u-loadmore v-if="(total>=list.length&&list.length)||status=='loading'" :status="status" />
				 </view>
			</scroll-view>     
		</view>
		<u-tabbar :list="vuex_tabBarList" :mid-button-size="80" :before-switch="beforeSwitch" :midButton="vuex_tabBarList.length==5"></u-tabbar>
	</view>
</template>

<script>
	import {
	    mapState,
	    mapMutations,
	} from 'vuex'
	import { promoTerminalListByPage } from '@/api/video.js'
	import { clickTab } from "@/utils/index.js"
	export default {
		data() {
			return {
				status: 'loading',
				noDataText: '暂无活动',
				// 查询条件
				pageNo: 1,
				pageSize: 10,
				list: [],
				total: 0,
			}
		},
		computed: {
			...mapState(['hasLogin','vuex_vinScanNums','vuex_scanMaxNums','vuex_tabBarList','vuex_videoTypeList']),
			userInfo(){
				return this.$store.state.vuex_userInfo
			},
			tabList(){
				return this.$store.state.vuex_videoTypeList
			}
		},
		onLoad() {
			this.pageInit()
			uni.$on("refashProm",()=>{
				this.pageInit()
			})
		},
		// 页面卸载
		onUnload() {
			uni.$off('refashProm')
		},
		methods: {
			pageInit(){
				this.total = 0
				this.pageNo = 1
				this.list = []
				this.getRow()
			},
			// scroll-view到底部加载更多
			onreachBottom() {
				if(this.list.length < this.total){
					this.pageNo += 1
					this.getRow()
				}else{
					this.status = "nomore"
				}
			},
			// 查询列表
			getRow (pageNo) {
			  let _this = this
			  if (pageNo) {
			    this.pageNo = pageNo
			  }
			  let params = {
			    pageNo: this.pageNo,
			    pageSize: this.pageSize,
				queryWord: this.queryWord
			  }
			  this.status = "loading"
			  promoTerminalListByPage(params).then(res => {
				if (res.code == 200 || res.status == 204 || res.status == 200) {
				  const list = res.data.list
				  if(_this.pageNo>1){
					  _this.list = _this.list.concat(list)
				  }else{
					  _this.list = list
				  }
				  _this.total = res.data.count || 0
				} else {
				  _this.list = []
				  _this.total = 0
				  _this.noDataText = res.message
				}
				_this.status = _this.total>=_this.list.length ? "nomore" : 'loadmore'
			  })
			},
			// 促销活动产品列表页
			viewRow(item){
				 uni.navigateTo({
				 	url: '/pagesB/promoProduct?promoSn='+item.promoSn+'&title='+item.promoName
				 })
			},
			// tab单击
			beforeSwitch(index){
				const row = this.$store.state.vuex_tabBarList[index] // 当前tab
				const isNoAuth = this.userInfo ? this.userInfo.sysUserFlag == '0' : false // 是否认证门店
				return clickTab(row,this.hasLogin,isNoAuth,this.vuex_vinScanNums < this.vuex_scanMaxNums)
			},
		}
	}
</script>

<style lang="less">
    page{
		height: 100vh;
	}
	.video-pagesCons{
		height: 100%;
		display: flex;
		flex-direction: column;
		.tab-body{
			height: calc(100vh - 86px);
			.check-order-list{
				background: #ffffff;
				margin: 25upx;
				border-radius: 10upx;
				overflow: hidden;
				box-shadow: 1px 1px 3px #EEEEEE;
				.video-item{
					> view{
						&:first-child{
							position: relative;
						}
						&:last-child{
							text-align: center;
							font-size: 32rpx;
							padding: 20rpx 0;
						}
					}
				}
			}
		}
	}
</style>
